Jump to content

Sda33

Members
  • Posts

    87
  • Joined

  • Last visited

Everything posted by Sda33

  1. Merci pour cette réponse très rapide Eolia ! Juste une dernière question, même si j'attends la réponse d'OVH, depuis la livraison hier (donc avant de connecter mon site sur cette nouvelle base) je constate cette erreur toutes les 5 minutes dans les logs. "2021-04-24T14:36:49.255987Z 24219 [Note] Got an error reading communication packets" (deux messages identiques, exactement toutes les 5 minutes) Une recherche rapide me dit que cela arrive à d'autres avec MySql 5.7, mais je n'ai ni explication ni solution. Un problème de config du serveur côté hébergeur ? Même si cela ne semble pas impacter le fonctionnement de mon site, je n'aime pas laisser traîner le mot "error" dans mes logs... Merci.
  2. Bonjour, J'ai un site en 1.6.1.24, thème par défaut. Face à des problèmes de performance et parfois erreurs 504, je viens de migrer sur un SQL dédié 1Go de RAM. Avant : SQL dédié 512Mo, My SQL 5.6 >> erreurs 504, parfois lenteurs, et alertes "dépassement de mémoire" (avec pics à 760Mo) Depuis hier : SQL dédié 1024Mo, My SQL 5.7 >> navigation parfaite, rien à signaler côté client >> côté serveur, quand je regarde mes métriques, je remarque que l'utilisation de la mémoire est déjà au plafond (capture d'écran ci-dessous). Elle est montée par à-coups, depuis l'installation hier matin. Est-ce "normal" ? Est-ce que je risque d'avoir à nouveau des lenteurs et problèmes techniques ? Que feriez-vous à ma place ? Merci
  3. Bonjour, Habituée de la 1.6.1.24, et très réticente à changer ce qui fonctionne, je suis tout de même séduite par certains aspects de la 1.7 : SEO, design plus moderne, performances, tunnel... Je dois faire évoluer mon existant (site en 1.6 depuis 2015) et j'hésite encore entre acheter un nouveau thème 1.6 ou carrément le lancer en 1.7. Bref. Le hasard veut qu'un tout nouveau projet pointe le bout de son nez, nouvelle activité, aucun existant à récupérer. Je pense que c'est l'occasion de l'installer en 1.7... et de découvrir cette version de Prestashop, de me familiariser avec la structure BDD... Sauriez-vous me dire quelle version vous recommanderiez ? 1.7.5, qui a l'air de convenir à beaucoup de monde, ou directement la toute dernière version 1.7.7.1 ? Je ne sais pas trop me positionner sur la "stratégie" qui me permettrait d'avoir une version stable. Merci. Précision : je suis en PHP 7.1 (et je ne peux pas le changer, deux autres sites tournant en Presta 1.6.1.24)
  4. Bonjour, Mon site tourne en 1.6 depuis 2015, je l'ai récemment passé en 1.6.1.24, il fonctionne bien même s'il est certainement un peu lent. Je suis partie du thème de base que j'ai largement personnalisé avec le temps. J'ai mon catalogue en menu vertical sur la gauche, et un menu horizontal vers des pages de contenu + nouveaux produits et promos. Aujourd'hui je souhaite le moderniser, pour qu'il charge plus vite, pour qu'il soit + "SEO Friendly", plus professionnel aussi, plus "dans l'air du temps", plus joli... bref. Pour la première fois je me pose la question de l'achat d'un thème. Mais j'ai l'impression qu'en 1.6 tous les thèmes se ressemblent, le catalogue en menu horizontal, des grosses images, est-ce vraiment utile d'acheter un thème quand finalement je pourrais travailler ma feuille de style et changer quelques effets de menu ou d'affichage ? Je dirais oui pour bénéficier des optimisations techniques (référencement et chargement), mais dans ce cas comment choisir, qu'est-ce qu'un "bon" thème ? Faut-il finalement choisir de franchir le Rubicon et de passer en 1.7 ? J'ai très peur du gouffre qui sépare les deux versions, du travail à prévoir pour récupérer mon catalogue, mes clients et mon historique de commandes, des bugs possibles, des mises à jour stressantes tous les deux mois... Par ailleurs j'étais plutôt intéressée par le thème "warehouse" que beaucoup semblent recommander, mais sur Themeforest impossible de charger les demos, soit erreur 500 soit page blanche, ça ne met pas en confiance. Avez-vous un thème à recommander en 1.6.1.24 ? Bref beaucoup de questions en un post et beaucoup de flou pour moi à ce niveau... Merci pour tous les conseils que vous pourrez m'apporter.
  5. Oui et je viens juste d'éditer mon post initial (nos interventions se sont croisées), toutes mes excuses pour le dérangement. Il fonctionne bien, je n'ai rien changé, juste attendu 2 heures pour le réactiver. Merci encore pour votre réactivité, c'est rassurant de savoir qu'on n'est pas seul
  6. Bonsoir et merci à tous les deux, j'ai repris de zéro et terminé ma migration. [résolu] Tout semble OK sauf un problème important : Paypal a été upgradé à la version v3.15.0, et automatiquement désactivé. Je l'ai réactivé mais il ne fonctionne plus en front (j'ai vérifié mes paramètres). [edit] J'étais peut-être trop pressée. J'ai réactivé deux heures plus tard et tout est OK désormais.
  7. J'ai désactivé la sauvegarde et c'est passé (presque*) crème ! Un million de mercis. Je vais prendre le temps de tout vérifier avant d'organiser ma bascule, y compris le fichier de contact. Merci Eolia vous n'imaginez pas comme un petit coup de pouce et votre disponibilité sont précieux *juste deux erreurs "gsitemap.zip n'est pas un fichier" et "productcomments.zip" n'est pas un fichier
  8. Oui je m'en doute bien ^^ Y a-t-il un paramétrage que je puisse faire pour augmenter le délai avant timeout ou bien j'attends demain qu'un conseiller soit en ligne chez eux ? Petite question additionnelle, savez-vous si la structure de la base change entre 16.0.11 et 1.6.1.24 ? Parce que mon idée c'est de migrer ma preprod puis d'importer la dernière version de ma base de prod pour finir (histoire d'avoir les dernières commandes sur le nouveau site). Merci pour votre temps !
  9. Bonsoir à tous, je me permets de réactiver ce post après avoir cherché un peu partout sans succès une réponse à mon problème. Actuellement en 1.6.0.11 je souhaite migrer 1) sur un nouveau serveur et 2) en 1.6.1.24. J'ai déjà réinstallé mon 1.6.0.11 sur le nouveau serveur, sur une URL temporaire. Je souhaite maintenant migrer vers 1.6.1.24. Premier problème le module demande une mise à jour mais cela ne fonctionne pas, erreur en rouge en haut de page "Modules" : "Module 1-Click Upgrade can't be upgraded: Error on downloading the latest version" Cela ne m'empêche pas de "configurer" puis de suivre la procédure proposée par Eolia : - Mode expert - Version mineure (voir capture d'écran Capture01) Le problème : il ne va pas au bout et m'affiche l'erreur suivante (je suis chez OVH) dans le journal d'activité (Capture02) : "Analyzing the situation...Shop deactivated. Now downloading... (this can take a while)Download complete. Now extracting...File extraction complete. Removing sample files...All sample files removed. Now backing up files.[Ajax / Server Error for action backupFiles] textStatus: "error " errorThrown:" " jqXHR: " Error 504: Backend unavailable This type of error results generally from the client server, used as a backend. If you are a visitor of the website, please try to refresh it or come back in a few minutes. If you are the administrator of the website, please check the configuration of your server and/or CDN rules. In case the problem persists, please contact us." Savez-vous d'où cela vient et comment avancer ? Pour info j'avais initialement créé une presta vierge en 1.6.1.24 directement et tout était ok. Mais je souhaitais finalement reprendre l'existant et migrer pour gagner un temps infini. Merci à tous pour votre aide et vos conseils.
  10. Bonjour, Je suis sous Prestashop 1.6.0.11. Je rencontre un problème avec le fait que certaines commandes passent alors que l'un des produits n'est plus en stock. Cela semble se produire dans le cas où : - Le client a fait un panier avec ce produit - Il ne l'a pas validé de suite - Entre temps le produit n'est plus dispo - Le client revient, et valide son panier directement, sans le modifier Dans ce cas le panier n'est jamais recalculé, et la commande est validée avec le statut "Produit en rupture de stock dans votre commande (payé)". Pourtant le produit en question est bien à quantité = 0 avec l'info "En cas de rupture de stock : Refuser les commandes". Donc ma question est : - Savez-vous quand le panier est recalculé ? - Y a-t-il une possibilité de forcer ce calcul avant le paiement, ou au moment de choisir le transporteur ? Par exemple en redirigeant le client vers la page du panier avec l'info "l'un des produits n'est plus dispo" ? Merci de vos retours d'expérience et conseils.
  11. Bonjour, Je profite de notre migration vers 1.6.1.24 pour actualiser notre e-shop et je cherche un thème pour économiser du temps (j'avais fait la première version complètement à la main à partir du thème de base.). Le thème "Tools Store" correspond a priori à ce que je recherche, mais le thème "Mega Tools Store", très proche, semble plus complet et mieux soutenu, même si visuellement il ne me fait pas tout à fait le même effet (pied de page, bloc panier...). MEGA TOOLS STORE : https://addons.prestashop.com/fr/themes-electronique-high-tech/23452-mega-tools-store.html TOOLS STORE : https://addons.prestashop.com/fr/themes-maison-jardin/22181-tools-store.html Par ailleurs j'ai un peu peur de me faire avoir par les caractéristiques annoncées (qu'est-ce qui est annonce "marketing" parce que de base Presta et qu'est ce qui est du pur avantage, de la pure valeur ajoutée avec ce template). Exemple : entre les deux le Mega Tools Store annonce commentaires produits, pas l'autre, pourtant c'est bien une fonction de base Prestashop donc pourquoi le lire dans les fonctionnalités additionnelles ?? J'ai donc deux types de questions : - Retour d'expérience : Si certains on installé l'un ou l'autre, avez-vous des avis, commentaires, des exemples de sites customisés à partir de ces thèmes ? Ou rencontré des blocages ? Ou été surpris de la qualité de l'un ou de l'autre ? - Avis d'experts : Plus globalement, sur quelle base choisit-on un thème payant dans la mesure où on ne peut pas vraiment le tester avant (pas d'accès backoffice par exemple) ? Quels sont les critères à retenir, comment comparer deux thèmes/deux prestataires ? Merci à tous de votre temps et de vos conseils !
  12. Merci @rhume ça m'a permis de découvrir un nouveau prestataire mais je ne suis pas à l'aise avec leurs offres. Mon post n'emballe pas les foules, je pense partir chez les canadiens dans quelques mois. Si certains souhaitent partager leur expérience hébergement Prestashop, je laisse le post ouvert. Bonne soirée à tous !
  13. D'accord Autant j'ai déjà échangé avec vous et je connais la pertinence de vos conseils (je veux rester en 1.6, CQFD ^^) autant je découvre le profil de @doekia J'ai un message privé ouvert avec lui, à suivre donc. Merci pour la mise en relation.
  14. voilà une réponse bien mystérieuse j'ai posé une question bête ?
  15. Bonjour à tous, Après quelques recherches il semble qu'Infomaniak et Planet Hoster soient les meilleurs choix. Je ne veux pas me soucier de l'hébergement mais il doit être au top, et entre 30 et 50€HT/mois ça me va. Sachant que (au-delà de la qualité de service et de la performance) je souhaite : - Pouvoir facilement installer la version Prestashop de mon choix (type installation en quelques clics) : pas obligatoirement un 1.7. - Installer deux boutiques distinctes, éventuellement d'autres sites (wordpress par ex) - Requêter directement ma base de données - Eviter d'avoir à mettre les mains dans la configuration serveur - Mais si possible ne pas être sur un hébergement mutualisé Bref une interface si possible conviviale pour tout faire, et je ne suis pas si exigeante que ça : ce que proposait OVH me convenait. Laquelle des deux solutions me recommandez-vous ? Une autre peut-être ? Désolée pour le pavé, je passe un très mauvais week-end Merci pour toute l'aide que vous m'apporterez, pour vos conseils et vos réponses aux questions que je n'ai peut-être pas pensé à poser.
  16. Ouch en effet, merci pour l'astuce, je vais creuser la piste analytics, je manque de recul sur tout ça... J'ai un thème de base modifié par moi-même et je devrais profiter de la migration pour l'actualiser et lui donner un peu plus de "modernité", donc le design est le cadet de mes soucis. Merci encore pour votre aide, je lance le projet tranquillement et je me permettrai de revenir ici si besoin dans les prochaines semaines. En parallèle sur le même serveur j'ai un autre site en 1.6.1.6, sauriez-vous me dire s'il est compatible PHP 7.1/7.2 ? Encore merci pour cette conversation très utile. Bonne continuation à vous !
  17. Et donc vous recommandez 1.6.1.23/24. Je vous fais confiance à 300% et je vous suis. Si vous avez un conseil de dernière minute avant d'aborder cette "migration" (création > import > bascule) c'est volontiers. Pour les modules en question je verrai une fois l'essentiel migré, mais je n'ai pas vu le fameux "pixel FB" avant la 1.7. Encore merci pour votre temps !
  18. C'est bien la raison pour laquelle je prévoyais de partir de zéro, un nouveau site, puis d'y rapatrier progressivement fonctionnalités, design et datas. Maintenant si vous me dites dès maintenant qu'il faut éviter la 1.7 vous me faites gagner du temps... Toutes mes recherches ici sur 1.7 montrent des problèmes avec les modules de migration, je n'ai rien trouvé sur la stabilité des versions en elles-mêmes (possible que j'ai mal cherché, mais ce n'est pas évident de tout voir et justement beaucoup de monde semblait chercher cette 1.7 à tout prix). Ce qui m'intéresse : le Pixel Facebook, le module anti fraude à la TVA. Et une base qui permette d'accueillir de nouvelles fonctionnalités sans prévoir dans 6 mois une migration structurelle importante.
  19. Ah mince, comment avoir le détail de quelle version fait quoi ou plutôt ne fait pas quoi ? La 1.7 en est déjà au moins à 1.7.5, et il vaut mieux rester en 1.6 ? Je ne m'attendais pas à ce retour mais j'ai vraiment envie de creuser, pour ne pas m'engager sur une migration "casse-gueule" alors que je fais ce type d'exercice environ tous es 2 ou 3 ans. Merci en tout cas pour votre intérêt !
  20. Tous les nouveaux modules sont développés pour 1.7... non ?
  21. Cette boutique est la prunelle de mes yeux et toute notre activité, donc la dernière version de prestashop que vous recommanderiez en mode professionnel, un minimum de risque, j'ai connu des mises en place très difficiles avec des mises à jour de modules bloquantes après une maj auto trop rapide... donc une version moderne pour bénéficier des derniers modules importants (facturation notamment), mais assez confortable/rôdée pour voir venir Noël sans développer un ulcère.
  22. Bonjour, Je prépare une migration de mon site depuis 1.6.0.11 vers la dernière version stable de Prestashop. Je compte créer un nouveau site dans cette version puis y migrer progressivement et manuellement design et datas (et modules, overrides si nécessaire, etc). Je me permets de faire ce post pour préparer le terrain et peut-être éviter des erreurs. Si quelqu'un a déjà fait ce type de travail (et sous cette forme : pas de migration avec un module quelconque, mais vraiment un nouveau site et du transfert de datas), quelles sont les principales difficultés que vous avez rencontrées ? Y a-t-il des incompatibilités fortes, du genre structure de la table des commandes, des clients, nouvelle gestion de droits...) ? Question subsidiaire : quelle version exactement de Prestashop recommandez-vous aujourd'hui ? Tout conseil, clin d'oeil, astuce, et même critiques sont les bienvenus. Merci !
  23. Une base dédiée et non pas sur un mutualisé, oui, c'est par défaut dans mon abonnement mais je ne l'ai jamais utilisée... L'installation de Prestashop s'est faite sur une base mutualisée et j'ai toujours eu peur de migrer...
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More